Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 810074 - [abrt] emesene-2.11.11-1.fc16: Handler.py:97:on_quit_selected:AttributeError: 'NoneType' object has no attribute 'close'
Summary: [abrt] emesene-2.11.11-1.fc16: Handler.py:97:on_quit_selected:AttributeError:...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emesene
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2c52e776e2e9fd42d4ce981ebaa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-05 04:25 UTC by pam_pedro
Modified: 2013-02-13 14:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 14:52:06 UTC
Type: ---


Attachments (Terms of Use)

Description pam_pedro 2012-04-05 04:25:31 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/lib/python2.7/site-packages/emesene/emesene
event_log:      2012-04-05-01:25:16> Smolt profile successfully saved
executable:     /usr/lib/python2.7/site-packages/emesene/emesene
kernel:         3.3.0-8.fc16.x86_64
reason:         Handler.py:97:on_quit_selected:AttributeError: 'NoneType' object has no attribute 'close'
time:           Thu 05 Apr 2012 01:24:58 AM BRT
uid:            1000
username:       pedro

backtrace:
:Handler.py:97:on_quit_selected:AttributeError: 'NoneType' object has no attribute 'close'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/emesene/gui/common/TrayIcon.py", line 157, in <lambda>
:    lambda *args: self.handler.on_quit_selected())
:  File "/usr/lib/python2.7/site-packages/emesene/gui/base/Handler.py", line 97, in on_quit_selected
:    self.session.close(True)
:AttributeError: 'NoneType' object has no attribute 'close'
:
:Local variables in innermost frame:
:self: <gui.base.Handler.TrayIconHandler object at 0x2491350>

smolt_data:
:
:
:General
:=================================
:UUID: 2712bf7c-956e-4c04-b126-129f03cff474
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4256.31
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 330  @ 2.13GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2133
:System Memory: 3756
:System Swap: 8000
:Vendor: LENOVO
:System: 0677 Lenovo G460
:Form factor: Notebook
:Kernel: 3.3.0-8.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:14635) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:14635) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:14622) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:14635) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:14635) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:14635) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:14635) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:14527) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15144:6058:14529) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 4 port SATA IDE Controller
:(32902:15113:6058:14526) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:14528) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15149:6058:14530) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 2 port SATA IDE Controller
:(32902:15174:6058:14514) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:9288:6058:14399) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:14506) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:14520) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:14501) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:6058:14624) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:6058:14512) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:14513) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:14516) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:14511) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4332:33078:6058:14638) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(5772:43:6058:12449) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 28130363 22199249 21917756 7045120 6731585 6731585
:/dev/sdb1 WITHHELD fuseblk 4096 4096 122096000 45688260 45688260 183047952 182829732 182829732
:

Comment 1 Germano Massullo 2012-04-09 09:57:50 UTC
I right clicked on emesene taskbar icon and selected exit, then I had this crash message

Package: emesene-2.11.11-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment 2 Agustin Ferrario 2012-06-24 20:30:00 UTC
Just right-clicked twice on the emesene icon in notifications area, not been able to reproduce it

Package: emesene-2.11.11-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 3 Fedora End Of Life 2013-01-16 13:55:57 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2013-02-13 14:52:09 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.